# $Revision: 1.14 $, $Date: 2010/04/05 17:12:52 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests	# do not perform "make test"
#
%define		plugin	check_memcached
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to observe memcached
Name:		nagios-plugin-%{plugin}
Version:	0.02
Release:	8
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Networking
Source0:	http://www.cpan.org/modules/by-module/Nagios/Nagios-Plugins-Memcached-%{version}.tar.gz
# Source0-md5:	99154aa60b099a2563f8773f95fd0646
Source1:	%{plugin}.cfg
Patch0:		%{name}.patch
URL:		http://search.cpan.org/dist/Nagios-Plugins-Memcached/
BuildRequires:	perl-Nagios-Plugin
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Cache-Memcached
BuildRequires:	perl-Carp-Clan
%endif
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check if memcached is up and running.

%prep
%setup -q -n Nagios-Plugins-Memcached-%{version}
%patch0 -p1
mv lib/Nagios/Plugin{s,}

%build
%{__perl} Makefile.PL \
	--skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
mv $RPM_BUILD_ROOT{%{_bindir},%{plugindir}}/%{plugin}
sed -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Nagios/Plugins/Memcached/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/check_memcached
%{_mandir}/man3/Nagios::Plugin::Memcached.3pm*
%{perl_vendorlib}/Nagios/Plugin/Memcached.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_memcached.spec,v $
Revision 1.14  2010/04/05 17:12:52  glen
- require nagios-common instead of core; rel 8

Revision 1.13  2009/09/09 05:49:23  glen
- fix config; rel 7

Revision 1.12  2009/09/08 14:12:52  glen
- fix paths; rel 6

Revision 1.11  2009/09/08 11:21:14  glen
- release 5

Revision 1.10  2009/09/08 11:18:08  glen
- update service template; rel 4

Revision 1.9  2009/02/19 19:09:21  glen
- add "memcached" service template to plugin config; rel 3

Revision 1.8  2009/02/19 18:57:01  qboosh
- uncommented tests BRs

Revision 1.7  2009/02/11 07:01:11  glen
- Module::AutoInstall accepts --skipdeps. LP#327917

Revision 1.6  2009/02/11 06:43:57  glen
- avoid searching and installing modules from CPAN; rel 2

Revision 1.5  2009/02/10 10:28:57  glen
- release 1

Revision 1.4  2009/02/09 16:31:05  glen
- rename plugin dir to Nagios/Plugin

Revision 1.3  2009/02/09 16:16:31  glen
- v0.02: switch to CPAN source

Revision 1.2  2008/11/27 09:18:24  glen
- perlprov, origin site down, edit proper file

Revision 1.1  2008/11/26 22:03:59  glen
- based from mandriva src.rpm
